Bug 465572 - system-config-firewall conflicts with system-config-firewall-tui
system-config-firewall conflicts with system-config-firewall-tui
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 17:54 EDT by Jonas Nyman
Modified: 2009-03-25 04:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 15:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Nyman 2008-10-03 17:54:30 EDT
Description of problem:
During installation of Fedora 10 beta... 
Preparing transaction fron installation source... You get an error message saying
that system-config-firewall.mo conflicts with attempted install of system-config-firewall and system-config-firewall-tui. 
It is impossible to install Fedora without system-config-firewall and hence - installation is impossible.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Try to install Fedora 10 beta from DVD
2. Anaconda comes to "Preparing transaction from installation source
3. And an error message is displayed saying an error occurred during transaction run because of file conflict. 
  
Actual results:
file /usr/share/locale/ar/LC_MESSAGES/system-config-firewall.mo conflicts between attempted install of system-config-firewall[...] and system-config-firewall-tui-[...]
Some 50 rows of similar errors are displayed. (they differ in locale subdirectory)
 

Expected results:


Additional info:
Tried to bypass the error by simply installing without system-config-firewall and system-config-firewall-tui but it is impossible not to select them for installation.
Comment 1 Chris Lumens 2008-10-03 19:21:46 EDT
File conflicts on installation are always bugs in the packages themselves, not in anaconda.
Comment 2 Thomas Woerner 2008-10-07 08:23:39 EDT
The lang files are provided by the main and the tui sub-package. This is not ideal, but the files are identical (same content and same flags) and are from the same build. Therefore this should not happen at all.

The lang files will be removed from the main package and only the tui sub package will contain the files from now on.

I think there is another problem with the install. Can you please check which packages (system-config-firewall*) will be installed? Do they match in version and release?
Comment 3 Jonas Nyman 2008-10-07 13:42:39 EDT
New test. Here's what you asked for: The problem seems to be that system-config-firewall and system-config-tui is of different versions:

system-config-firewall-1.2.10-1
system-config-firewall-tui-1.2.11-1

And the error message reads:

Error running your transaction for the following reson(s): file conflicts
There were file conflicts when checking the packages to be installed:
file /usr/share/locale/ar/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/as/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/bg/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/bn/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/bn_IN/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/ar/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/ca/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch
file /usr/share/locale/cs/LC_MESSAGES/system-config-firewall.mo conflicts between attempted installs of system-config-firewall-1.2.10-1.fc10.noarch and system-config-firewall-tui-1.2.11-1.fc10.noarch

...
...
...
Comment 4 Eric Paris 2008-10-08 11:09:54 EDT
Happened for me today.  F10 Beta DVD install media and added the rawhide repo.

Got 1.2.10 for s-c-firewall and 1.2.12 for s-c-firewall-tui.

Installation is impossible.
Comment 5 Thomas Woerner 2008-10-08 11:22:48 EDT
There seems to be a problem in anaconda or yum:

1) rawhide contains updates for system-config-firewall and system-config-firewall-tui. There is no reasong to update only one of them.

2) The system-config-firewall package has a requirement for system-config-firewall-tui with the same version and release:

system-config-firewall-1.2.10-1.fc10: system-config-firewall-tui = 1.2.10-1.fc10
system-config-firewall-1.2.11-1.fc10: system-config-firewall-tui = 1.2.11-1.fc10
system-config-firewall-1.2.12-1.fc10: system-config-firewall-tui = 1.2.12-1.fc10

Reassigning to anaconda.
Comment 6 Bug Zapper 2008-11-25 22:32:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Thomas Woerner 2009-03-24 04:22:13 EDT
Please have a closer look at comment #3. The installer is trying to install 
system-config-firewall and system-config-firewall-tui in different versions. If you have a look at comment #5 you will see that there is a correctly versioned dependency from system-config-firewall to system-config-firewall-tui. Therefore this is not a system-config-firewall bug.

This happened only in anaconda. yum itself refused to install this package combination for me.

Reassigning to anaconda.
Comment 8 David Cantrell 2009-03-24 15:55:46 EDT
Thomas,

There are 5 packages that anaconda specifically selects to ensure that they are installed on the target system.  They provide tools used during installation.  The 5 packages are:

    authconfig
    chkconfig
    mkinitrd
    rhpl
    system-config-firewall-tui

We select s-c-firewall-tui to get /usr/sbin/lokkit which is used in firewall.py.  In comment #3, the problem is clearly packaging since the two s-c-firewall packages have different version numbers and overlapping files.

In rawhide now, I see that the packages do not have overlapping files and the version numbers are the same.

It was a packaging problem that you have resolved now, it was not an anaconda problem.
Comment 9 Thomas Woerner 2009-03-25 04:23:56 EDT
David,

yes, there have been overlapping files, but 

1) the overlapping mo-files where identical in the old main and tui- sub-package if they have the same version and release.

2) there is a requirement for system-config-firewall-tui with the same version and release in the system-config-firewall package, because tui contains files, that both packages need in the proper versions.

3) anaconda managed to get system-config-firewall and system-config-firewall-tui with different versions/releases in the transaction. So it misses some checks to get this happen. (See 2))

This is a package selection problem. The duplicate files only showed this.

Note You need to log in before you can comment on or make changes to this bug.